
//FitVids
jQuery(function($) {
    $("body").fitVids();  
});

//Menu
jQuery(function($) {

	var hasChildMenu = $('.main-navigation').find('li:has(ul)');

	hasChildMenu.children('ul').hide();
	hasChildMenu.children('a').after('<span class="btn-submenu"><i class="rikke-icon dslc-icon-ei-icon_plus"></i></span>');

	$('.menu-show').on('click', function() {
		$('.menu-wrapper').fadeIn(300);
	});
	$('.menu-close').on('click', function() {
		$('.menu-wrapper').fadeOut(300);
	});
	$('.btn-submenu').on('click', function() {
		$(this).next('ul').slideToggle(300);
	});
});

//Menu clone
jQuery(function($) {
    var headerHeight = $('.site-header .header-bar').outerHeight();
    $('.header-clone').css('height',headerHeight);

	$(window).resize(function(){	
    	var headerHeight = $('.site-header .header-bar').outerHeight();
		$('.header-clone').css('height',headerHeight);
	});
});

//Menu bar
jQuery(function($) {
	$(window).scroll(function() {
		if ( $(this).scrollTop() > 150 ) {
			$('.header-bar').addClass('header-scrolled');
		} else {
			$('.header-bar').removeClass('header-scrolled');
		}
	});
});

//Open social links in a new tab
jQuery(function($) {
     $( '.contact-area .contact-social a, .widget-area .rikke_social_widget li a' ).attr( 'target','_blank' );
});

//Contact toggle
jQuery(function($) {
    $('.contact-mobile').on('click', function() {
    	var $this = $(this);
    	$this.toggleClass('contact-mobile-active');
    	$this.find('i').toggleClass('dslc-icon-ei-arrow_triangle-up_alt2 dslc-icon-ei-arrow_triangle-down_alt2');
        $('.contact-area .container').slideToggle('slow');          
    });
});

//Go to top
jQuery(function($) {
	var goTop = $('.go-top');
	$(window).scroll(function() {
		if ( $(this).scrollTop() > 800 ) {
			goTop.addClass('show');
		} else {
			goTop.removeClass('show');
		}
	}); 

	goTop.on('click', function() {
		$("html, body").animate({ scrollTop: 0 }, 1000);
		return false;
	});
});

//Smooth scrolling
jQuery(function($) {
	$('a[href*="#"]:not([href="#"],.wc-tabs a,.activity-content a)').click(function() {
		if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
			var target = $(this.hash);
			target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
			if (target.length) {
		        $('html,body').animate({
		          scrollTop: target.offset().top - 70
		        }, 1000);
		        return false;
		    }
		}
	});
});


jQuery(function($) {

	function headerContent() {
		var headerImage = $('.header-image').height();
		var headerBar 	= $('.header-bar').height();

		$('.header-content').height( headerImage - headerBar - 180);
	}

	$(document).ready(headerContent);
	$(window).on('resize',headerContent);

});


//Preloader
jQuery(function($) {
	$('.preloader').css('opacity', 0);
	setTimeout(function(){$('.preloader').hide();}, 600);	
});